# platform = multi_platform_all
# reboot = false
# strategy = configure
# complexity = low
# disruption = low
- name: Gather the package facts
  package_facts:
    manager: auto
  tags:
  - configure_strategy
  - directory_owner_etc_sysctld
  - low_complexity
  - low_disruption
  - medium_severity
  - no_reboot_needed

- name: Set the directory_owner_etc_sysctld_newown variable if represented by uid
  ansible.builtin.set_fact:
    directory_owner_etc_sysctld_newown: '0'
  when: '"linux-base" in ansible_facts.packages'
  tags:
  - configure_strategy
  - directory_owner_etc_sysctld
  - low_complexity
  - low_disruption
  - medium_severity
  - no_reboot_needed

- name: Ensure owner on directory /etc/sysctl.d/
  ansible.builtin.file:
    path: /etc/sysctl.d/
    follow: false
    state: directory
    owner: '{{ directory_owner_etc_sysctld_newown }}'
  when: '"linux-base" in ansible_facts.packages'
  tags:
  - configure_strategy
  - directory_owner_etc_sysctld
  - low_complexity
  - low_disruption
  - medium_severity
  - no_reboot_needed
